curl
curl -sS -X PATCH "https://gateway.orbit/api/v1/projects/4" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"code": "ACM"}'{
"data": {
"id": 123,
"name": "<string>",
"slug": "<string>",
"code": "<string>",
"type": "monorepo",
"repository_url": "<string>",
"source_access": "github_app",
"default_branch": "<string>",
"root": "<string>",
"task_check": "<string>",
"task_workspace_routed": true,
"review_and_merge": true,
"merge_check": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Projects
Update a Project
Update a project.
PATCH
/
api
/
v1
/
projects
/
{project}
curl
curl -sS -X PATCH "https://gateway.orbit/api/v1/projects/4" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"code": "ACM"}'{
"data": {
"id": 123,
"name": "<string>",
"slug": "<string>",
"code": "<string>",
"type": "monorepo",
"repository_url": "<string>",
"source_access": "github_app",
"default_branch": "<string>",
"root": "<string>",
"task_check": "<string>",
"task_workspace_routed": true,
"review_and_merge": true,
"merge_check": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Path Parameters
Numeric Project ID.
Required range:
x >= 1Body
application/json
Pattern:
^[A-Z]{3}$(?![\s\S])New display name
Maximum string length:
255New Project type
Available options:
monorepo, laravel-app, symfony-app, laravel-package, node-package New Project slug
Maximum string length:
63Pattern:
^[A-Za-z0-9_-]+$Maximum string length:
2048How Orbit reads a private github.com repository: github_app or gh_cli
Available options:
github_app, gh_cli New stored default branch
Maximum string length:
255New repository-relative root; package types may use .
Maximum string length:
255New task check command for task baselines and handoffs
Maximum string length:
4096Change routing for future task workspaces (true or false)
Review every push, review incoming pull requests, and merge reviewed green heads (true or false)
The check that must pass on a head before Orbit merges it, such as "Required checks"
Maximum string length:
255